Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Manager Class Reference

TAO_Notify_Event_Manager. More...

`#include <Notify_Event_Manager.h>`

Collaboration diagram for TAO_Notify_Event_Manager:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event_Manager (TAO_Notify_EventChannel_i *parent, TAO_Notify_EMO_Factory *emo_factory)
| Constructor. More...
| ~TAO_Notify_Event_Manager ()
| Destructor. More...
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init. More...
void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown operations. More...
void | subscribe_for_events (TAO_Notify_EventListener *event_listener, const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Subscribes <event_listener> for events <added>. Unsubscribes <event_listener> for events <removed>. More...
void | update_publication_list (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Suppliers can send anonymous requests to the Event Manager to indicate what kind of events they expect to produce. More...
void | register_for_subscription_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
| Registers the subscription update listener with the Event Manager. More...
void | unregister_from_subscription_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
| Unregister from subscription updates. More...
void | register_for_publication_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
| Registers the publication update listener with the Event Manager. More...
void | unregister_from_publication_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
| Unregister from publication updates. More...
CosNotification::EventTypeSeq * | obtain_offered_types (void)
| Obtain the publication list. More...
CosNotification::EventTypeSeq * | obtain_subscription_types (void)
| Obtain the subscription list. More...
TAO_Notify_Event_Map * | event_map (void)
| Get the event map. More...
TAO_Notify_Event_Processor * | event_processor (void)
| Get the Event Processor. More...
TAO_Notify_AdminProperties * | admin_properties (void)
| Get the Admin Properties. More...
TAO_Notify_EMO_Factory * | resource_factory (void)
| Get the Resource Factory. More...
void | process_event (TAO_Notify_Event *event, TAO_Notify_EventSource *event_source ACE_ENV_ARG_DECL)
| Delivers the event to listeners subscribed for <event> <event_source> is the <event> source to the Event Manager. More...
void | update_task_admins (void)
## Protected Methods
void | dispatch_updates_i (TAO_Notify_UpdateListener_List *update_listener_list, TAO_Notify_EventType_List &added, TAO_Notify_EventType_List &removed ACE_ENV_ARG_DECL)
| Dispatch the updates to the <update_listener_list>. More...
## Protected Attributes
TAO_Notify_EventChannel_i * | event_channel_
| The Event Channel that we're managing for. More...
TAO_Notify_Event_Map * | event_map_
| Container for event <-> source/sinks mappings. More...
TAO_Notify_Event_Processor * | event_processor_
| Handles processing of events. More...
TAO_Notify_Worker_Task * | updates_dispatching_task_
| Dispatches updates to update listeners. More...
TAO_Notify_EMO_Factory * | emo_factory_
| Event manager objects factory. More...
ACE_Lock * | lock_
| The locking strategy. More...
TAO_Notify_AdminProperties * | admin_properties_
| Admin properties. More...

## Detailed Description

TAO_Notify_Event_Manager.

Handles all aspects of event propogation thru the channel. Also keeps track of publications and subscriptions.

## Constructor & Destructor Documentation

TAO_Notify_Event_Manager::TAO_Notify_Event_Manager | ( | TAO_Notify_EventChannel_i * | event_channel,
|  | TAO_Notify_EMO_Factory * | emo_factory
| ) |

| Constructor.

TAO_Notify_Event_Manager::~TAO_Notify_Event_Manager | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_AdminProperties* TAO_Notify_Event_Manager::admin_properties | ( | void |  | ) |

| Get the Admin Properties.

void TAO_Notify_Event_Manager::dispatch_updates_i | ( | TAO_Notify_UpdateListener_List * | update_listener_list,
|  | TAO_Notify_EventType_List & | added,
|  | TAO_Notify_EventType_List &removed | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Dispatch the updates to the <update_listener_list>.

TAO_Notify_Event_Map* TAO_Notify_Event_Manager::event_map | ( | void |  | ) |

| Get the event map.

TAO_Notify_Event_Processor* TAO_Notify_Event_Manager::event_processor | ( | void |  | ) |

| Get the Event Processor.

void TAO_Notify_Event_Manager::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init.

CosNotification::EventTypeSeq* TAO_Notify_Event_Manager::obtain_offered_types | ( | void |  | ) |

| Obtain the publication list.

CosNotification::EventTypeSeq* TAO_Notify_Event_Manager::obtain_subscription_types | ( | void |  | ) |

| Obtain the subscription list.

void TAO_Notify_Event_Manager::process_event | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventSource *event_source | ACE_ENV_ARG_DECL
| ) |

| Delivers the event to listeners subscribed for <event> <event_source> is the <event> source to the Event Manager.

void TAO_Notify_Event_Manager::register_for_publication_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

| Registers the publication update listener with the Event Manager.

void TAO_Notify_Event_Manager::register_for_subscription_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

| Registers the subscription update listener with the Event Manager.

TAO_Notify_EMO_Factory* TAO_Notify_Event_Manager::resource_factory | ( | void |  | ) |

| Get the Resource Factory.

void TAO_Notify_Event_Manager::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Shutdown operations.

void TAO_Notify_Event_Manager::subscribe_for_events | ( | TAO_Notify_EventListener * | event_listener,
|  | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

| Subscribes <event_listener> for events <added>. Unsubscribes <event_listener> for events <removed>.

void TAO_Notify_Event_Manager::unregister_from_publication_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

| Unregister from publication updates.

void TAO_Notify_Event_Manager::unregister_from_subscription_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

| Unregister from subscription updates.

void TAO_Notify_Event_Manager::update_publication_list | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

| Suppliers can send anonymous requests to the Event Manager to indicate what kind of events they expect to produce.

void TAO_Notify_Event_Manager::update_task_admins | ( | void |  | ) |

## Member Data Documentation

TAO_Notify_AdminProperties* TAO_Notify_Event_Manager::admin_properties_`[protected]`

| Admin properties.

TAO_Notify_EMO_Factory* TAO_Notify_Event_Manager::emo_factory_`[protected]`

| Event manager objects factory.

TAO_Notify_EventChannel_i* TAO_Notify_Event_Manager::event_channel_`[protected]`

| The Event Channel that we're managing for.

TAO_Notify_Event_Map* TAO_Notify_Event_Manager::event_map_`[protected]`

| Container for event <-> source/sinks mappings.

TAO_Notify_Event_Processor* TAO_Notify_Event_Manager::event_processor_`[protected]`

| Handles processing of events.

ACE_Lock* TAO_Notify_Event_Manager::lock_`[protected]`

| The locking strategy.

TAO_Notify_Worker_Task* TAO_Notify_Event_Manager::updates_dispatching_task_`[protected]`

| Dispatches updates to update listeners.

The documentation for this class was generated from the following files:

- Notify_Event_Manager.h
- Notify_Event_Manager.cpp